Search found 4 matches

by mohamed mahmoud
Thu 27. Jun 2013, 12:14
Forum: Linux
Topic: PEAK-Linux Driver on Raspberry Pi
Replies: 156
Views: 224574

Re: PEAK-Linux Driver on Raspberry Pi

Hello, I solved the problem. the file Module.symvers was messing in the kernel-headers. i downloaded it from github then i placed it in /usr/src/linux-headers-3.6.11+, then i re-built the driver and it worked this time. now , i can load the module. Here's the link where i downloaded Module.symvers: ...
by mohamed mahmoud
Wed 26. Jun 2013, 13:17
Forum: Linux
Topic: PEAK-Linux Driver on Raspberry Pi
Replies: 156
Views: 224574

Re: PEAK-Linux Driver on Raspberry Pi

Hello, I updated PI to the latest version, and the problem still exists. Here's the build output: make[1]: Entering directory `/root/Downloads/peak-linux-driver-7.8/driver' make[1]: *** No rule to make target `depend'. Stop. make[1]: Leaving directory `/root/Downloads/peak-linux-driver-7.8/driver' m...
by mohamed mahmoud
Tue 25. Jun 2013, 15:04
Forum: Linux
Topic: PEAK-Linux Driver on Raspberry Pi
Replies: 156
Views: 224574

Re: PEAK-Linux Driver on Raspberry Pi

Hello,

the output of uname -r is :

3.6.11+

Thanks,
by mohamed mahmoud
Tue 25. Jun 2013, 14:30
Forum: Linux
Topic: PEAK-Linux Driver on Raspberry Pi
Replies: 156
Views: 224574

Re: PEAK-Linux Driver on Raspberry Pi

Hello, I followed the step by step instructions to build the driver. pcan.ko is generated but when i tried: insmod pcan.ko it says: Error: could not insert module pcan.ko: Invalid module format given that the kernel version is 3.6.11+ and i downloaded the same packages in the step by step instructio...